function xsoln=getells0(xguess,dlta,alpha,beta,lambda,phi,ubar,gamma,rho,z,y,sigma,nbar,gs);

%  Use minimization to ensure ellhat=gs, shat=gs, and sigmahat=0
%  as closely as possible, by choosing x=[s0 ell0].
  

options=optimset('Display','off');
xsoln=fminsearch(@SSR,xguess,options);
%xsoln=fminunc(@SSR,xguess,options);

 function e=SSR(x0);
   s=x0(1);
   ell=x0(2);
   x=[s ell sigma dlta y z];
   t=0;

   dx=transit1dx(t,x,alpha,beta,lambda,phi,ubar,gamma,rho,nbar);
   dx=dx';   % [s ell sigma dlta y z]
   shat=dx(:,1)./s;
   ellhat=dx(:,2)./ell;
   sigmahat=dx(:,3)./sigma;

   
   m(1)=shat-gs;
   m(2)=ellhat-gs;
   m(3)=sigmahat; m=m';  
   e=100*m'*m;  % Sum of squared deviations
 end
end